Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364492 - systemd could not restart glusterd after /var/run/glusterd.pid disappeared
Summary: systemd could not restart glusterd after /var/run/glusterd.pid disappeared
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: scripts
Version: 3.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Niels de Vos
QA Contact:
URL:
Whiteboard:
Depends On: 1364495
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-05 13:40 UTC by Niels de Vos
Modified: 2017-11-07 10:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1364495 (view as bug list)
Environment:
Last Closed: 2017-11-07 10:40:31 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Niels de Vos 2016-08-05 13:40:49 UTC
Description of problem:
I'm not sure what caused /var/run/glusterd.pid to be missing, but after an update systemd was unable to start glusterd again. glusterd was running, but a 2nd instance was unable to bind the 24007 port (address already in use).

I was not able to reproduce this when configuring the glusterd.service file as Type=simple and adding the --no-daemon parameter to the commandline.


Version-Release number of selected component (if applicable):
3.8.1 (on Fedora 23/24)

How reproducible:
Have updates installed by ansible, with a restart of the glusterd service after the packages got updated.


Steps to Reproduce:
1. install and configure Gluster, make sure that the glusterd service is running
2. update the packages
3. restart the glusterd service with "systemctl restart glusterd"

Actual results:
glusterd fails to restart

Expected results:
glusterd should have been restarted with the new (updated) binaries

Additional info:

Comment 1 Niels de Vos 2016-09-12 05:39:34 UTC
All 3.8.x bugs are now reported against version 3.8 (without .x). For more information, see http://www.gluster.org/pipermail/gluster-devel/2016-September/050859.html

Comment 2 Niels de Vos 2017-11-07 10:40:31 UTC
This bug is getting closed because the 3.8 version is marked End-Of-Life. There will be no further updates to this version. Please open a new bug against a version that still receives bugfixes if you are still facing this issue in a more current release.


Note You need to log in before you can comment on or make changes to this bug.